using System.Windows.Controls;
using Telerik.Windows.Controls;
using Telerik.Windows.Data;
using System.Linq;
using System;
using Telerik.Windows.Controls.GridView;

namespace TicketID_292290_DistinctValuesWidth
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();

			var ds = from i in Enumerable.Range(0, 1000)
					 select new Club("a", DateTime.Now, i);

			this.clubsGrid.ItemsSource = ds;

			FilteringControl myCustomizedFilteringControl = new FilteringControl();
			myCustomizedFilteringControl.MaxWidth = 240;
			myCustomizedFilteringControl.MinWidth = 240;
			((GridViewBoundColumnBase)this.clubsGrid.Columns[0]).FilteringControl = myCustomizedFilteringControl;


		}
	}
}